Skip to main content

Get Browser Sessions By Type

GET 

/session/v1/browser

Get all public sessions of a specific type

Required Permissions:

  • For any player (including themselves) any of: session:*, session:read:browser

Required Permissions: None

Request

Query Parameters

    session_type Session Typerequired
    cursor Cursor

    Default value: 0

    page_size Page Size

    Possible values: >= 1 and <= 50

    Default value: 50

    region_id Region Id

    Possible values: non-empty and <= 128 characters

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    cursor Cursor (integer)required

    Cursor to continue iterating through browser sessions. 0 means we have returned the last entry

    browser_sessions

    object[]

    required

    List of sessions in the browser

  • Array [

  • session_id Session Id (string)required

    Possible values: non-empty and <= 128 characters

    ID for the session

    instance_health InstanceHealthStatus (string)

    Possible values: [healthy, unhealthy, degraded, unknown]

    An enumeration.

    player_count Player Count (integer)

    Number of players actively in this session

    max_player_count Max Player Count (integer)

    Possible values: >= 1 and <= 100

    Maximum number of players that can be in this session

    custom_data

    object

    Custom data with the listing of the instance in the Session browser

    property name* string
  • ]

Loading...